package xyz.r0r5chach.dermy_app.api

import retrofit2.Retrofit
import retrofit2.converter.jackson.JacksonConverterFactory

class DermyApi(private val url: String) {
    fun getInstance(): DermyApiService {
        return Retrofit.Builder()
            .baseUrl(url)
            .addConverterFactory(JacksonConverterFactory.create())
            .build().create(DermyApiService::class.java)
    }
}
